# vim: set sw=4 ts=4 et:

%define _modules advertising bootstrap chat datastore dhtlog_mysql dstore_mysql sqstore_mysql dstore_sqlite dv dv_dht dv_tbench fragmentation fs getoption identity kvstore_sqlite pingpong rpc session sqstore_sqlite state stats tbench template topology_default tracekit traffic transport upnp vpn sqstore_postgres hostlist

%define _transports nat smtp tcp udp http

%define _shlibs chatapi collection core dvdhtapi ecrs ecrscore fs fsui getoptionapi identityapi ip namespace remoteapi rpcutil setup statsapi testingapi tracekitapi uritrack mysql trafficapi

Name:           gnunet
Version:        0.8.1b
%define soname 0
Release:        0.pm.1.2
Summary:        Security focused Peer-to-Peer Framework
# http://gnunet.org/download/GNUnet-%{version}.tar.gz
Source:         GNUnet-%{version}.tar.bz2
Source1:        gnunet.init
Patch1:         gnunet-fix_postgresql_include.patch
Patch2:         gnunet-fix_buffer_overflow.patch
URL:            http://gnunet.org
Group:          Productivity/Networking/Other
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gtk2-devel libqt4-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libextractor1-devel
BuildRequires:  libextractor1
BuildRequires:  gmp-devel
BuildRequires:  libqt4-devel
BuildRequires:  libesmtp-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  sqlite3-devel
BuildRequires:  guile-devel
BuildRequires:  libcares-devel
BuildRequires:  libadns-devel
BuildRequires:  postgresql-devel
BuildRequires:  libmysqlclient-devel
BuildRequires:  gcc make glibc-devel
BuildRequires:  autoconf automake libtool
%if 0%{?suse_version} >= 1030
BuildRequires:  licenses
Requires:       licenses
%endif
Provides:       gnunetd = %{version}-%{release}
Provides:       GNUnet = %{version}-%{release}
Provides:       GNUnetd = %{version}-%{release}

%description
GNUnet is peer-to-peer framework focusing on security. The first and primary
application for GNUnet is anonymous file-sharing. GNUnet is currently developed
by a worldwide group of independent free software developers.

GNUnet is a part of the GNU project (http://www.gnu.org/).

%package devel
Summary:        Security focused Peer-to-Peer Framework
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
GNUnet is peer-to-peer framework focusing on security. The first and primary
application for GNUnet is anonymous file-sharing. GNUnet is currently developed
by a worldwide group of independent free software developers.

%prep
%setup -q -n "GNUnet-%{version}"
%patch1
%patch2

%build
%if %suse_version >= 1110
autoreconf -fiv
%endif

export SUSE_ASNEEDED=0
%configure

%__make

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.la
%__rm "%{buildroot}%{_libdir}/GNUnet"/*.la

%find_lang GNUnet

DEVEL="$PWD/%{name}.devel.lst"
MODS="$PWD/%{name}.modules.lst"
echo -n > "$MODS"
echo -n > "$DEVEL"
for m in %_modules; do
     echo '%{_libdir}/GNUnet/libgnunetmodule_'"$m"'.so' >> "$MODS"
done
for t in %_transports; do
     echo '%{_libdir}/GNUnet/libgnunettransport_'"$t"'.so' >> "$MODS"
done
for l in %_shlibs; do
     echo '%{_libdir}/libgnunet'"$l"'.so.%{soname}' >> "$MODS"
     echo '%{_libdir}/libgnunet'"$l"'.so.%{soname}.*' >> "$MODS"
     echo '%{_libdir}/libgnunet'"$l"'.so' >> "$DEVEL"
done

cat GNUnet.lang "$MODS" > rpmfiles.lst
cat "$DEVEL" > rpmdevfiles.lst

h=/usr/share/doc/licenses/md5/$(md5sum COPYING|cut -f1 -d" ")
test -e "$h" && %__ln_s -f "$h" .

# install init script
%__install -D -m0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/%{name}"
%__install -d "%{buildroot}/usr/sbin"
%__ln_s "../../etc/init.d/%{name}" "%{buildroot}/usr/sbin/rc%{name}"

%__install -d "%{buildroot}/var/lib/gnunet"

%pre
/usr/sbin/groupadd -r gnunet || :
/usr/sbin/useradd -r -g gnunet -c "GNUnet daemon" -d /var/lib/gnunet gnunet || :

%post -p /sbin/ldconfig

%preun
%stop_on_removal %{name}

%postun
/sbin/ldconfig
%restart_on_update %{name}
%insserv_cleanup

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f rpmfiles.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS PLATFORMS README UPDATING
%doc doc/README*
/etc/init.d/%{name}
/usr/sbin/rc%{name}
%attr(0750,gnunet,gnunet) /var/lib/gnunet
%{_bindir}/gnunet-auto-share
%{_bindir}/gnunet-chat
%{_bindir}/gnunet-directory
%{_bindir}/gnunet-download
%{_bindir}/gnunet-insert
%{_bindir}/gnunet-peer-info
%{_bindir}/gnunet-pseudonym
%{_bindir}/gnunet-search
%{_bindir}/gnunet-setup
%{_bindir}/gnunet-stats
%{_bindir}/gnunet-tbench
%{_bindir}/gnunet-tracekit
%{_bindir}/gnunet-transport-check
%{_bindir}/gnunet-unindex
%{_bindir}/gnunet-update
%{_bindir}/gnunet-vpn
%{_bindir}/gnunetd
%{_libdir}/libgnunetutil.so.3
%{_libdir}/libgnunetutil.so.3.*
%dir %{_libdir}/GNUnet
%{_libdir}/GNUnet/libgnunetsetup_qt.so
%{_libdir}/GNUnet/libgnunetsetup_text.so
%{_datadir}/GNUnet
%{_mandir}/man1/gnunet*.1%{ext_man}
%{_mandir}/man5/gnunet*.5%{ext_man}

%files devel -f rpmdevfiles.lst
%defattr(-,root,root)
%{_includedir}/GNUnet
%{_libdir}/libgnunetutil.so

%changelog
* Tue Mar  1 2011 pascal.bleser@opensuse.org
- 0.8.1b, moved to new packman infrastructure
